Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class MessageResourcesConfig

    java.lang.Object
      |
      +--org.apache.struts.config.MessageResourcesConfig

All Implemented Interfaces:
  java.io.Serializable

public class MessageResourcesConfig
extends java.lang.Object
implements java.io.Serializable

A JavaBean representing the configuration information of a `<message-resources>` element in a Struts configuration file.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-22 09:14:33 +0100 (Fri, 22 Aug 2003) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected boolean` | `configured` Has this component been completely configured?
`protected java.lang.String` | `factory` Fully qualified Java class name of the MessageResourcesFactory class we should use.
`protected java.lang.String` | `key` The servlet context attributes key under which this MessageResources instance is stored.
`protected boolean` | `nullValue` Should we return `null` for unknown message keys?
`protected java.lang.String` | `parameter` Parameter that is passed to the `createResources()` method of our MessageResourcesFactory implementation.

Constructor Summary
`MessageResourcesConfig()`

Method Summary
`void` | `freeze()` Freeze the configuration of this component.
`java.lang.String` | `getFactory()`
`java.lang.String` | `getKey()`
`boolean` | `getNull()`
`java.lang.String` | `getParameter()`
`void` | `setFactory(java.lang.String factory)`
`void` | `setKey(java.lang.String key)`
`void` | `setNull(boolean nullValue)`
`void` | `setParameter(java.lang.String parameter)`
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### configured

    protected boolean configured

  Has this component been completely configured?

### factory

    protected java.lang.String factory

  Fully qualified Java class name of the MessageResourcesFactory class we should use.

### key

    protected java.lang.String key

  The servlet context attributes key under which this MessageResources instance is stored.

### nullValue

    protected boolean nullValue

  Should we return `null` for unknown message keys?

### parameter

    protected java.lang.String parameter

  Parameter that is passed to the `createResources()` method of our MessageResourcesFactory implementation.

Constructor Detail

### MessageResourcesConfig

    public MessageResourcesConfig()

Method Detail

### getFactory

    public java.lang.String getFactory()

### setFactory

    public void setFactory(java.lang.String factory)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getNull

    public boolean getNull()

### setNull

    public void setNull(boolean nullValue)

### getParameter

    public java.lang.String getParameter()

### setParameter

    public void setParameter(java.lang.String parameter)

### freeze

    public void freeze()

  Freeze the configuration of this component.

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation